Imports DevExpress.ExpressApp.DC
Imports DevExpress.ExpressApp.Model

#Region "DOMAIN LOGIC"
<DomainLogic(GetType(IModelListViewExtender))>
Public NotInheritable Class IModelListViewExtenderLogic
    Public Shared Function Get_DefaultDateYearInFilter(ByVal modelListView As IModelListView) As Boolean
        If modelListView.ModelClass IsNot Nothing Then
            Return (CType(modelListView.ModelClass, IModelClassAllowSort)).DefaultDateYearInFilter
        Else
            Return False
        End If
    End Function
    Public Shared Function Get_DefaultDateYearInFilterProperty(ByVal modelListView As IModelListView) As String
        If modelListView.ModelClass IsNot Nothing Then
            Return (CType(modelListView.ModelClass, IModelClassAllowSort)).DefaultDateYearInFilterProperty
        Else
            Return ""
        End If
    End Function
    Public Shared Function Get_HeaderLeft(ByVal modelListView As IModelListView) As String
        If modelListView.Application IsNot Nothing Then
            If modelListView.Application.Options IsNot Nothing Then
                Return TryCast(modelListView.Application.Options, IModelOptionsExtender).HeaderLeft
            Else
                Return ""
            End If
        Else
            Return ""
        End If
    End Function
    Public Shared Function Get_HeaderCenter(ByVal modelListView As IModelListView) As String
        If modelListView.Application IsNot Nothing Then
            If modelListView.Application.Options IsNot Nothing Then
                Return TryCast(modelListView.Application.Options, IModelOptionsExtender).HeaderCenter
            Else
                Return ""
            End If
        Else
            Return ""
        End If
    End Function
    Public Shared Function Get_HeaderRight(ByVal modelListView As IModelListView) As String
        If modelListView.Application IsNot Nothing Then
            If modelListView.Application.Options IsNot Nothing Then
                Return TryCast(modelListView.Application.Options, IModelOptionsExtender).HeaderRight
            Else
                Return ""
            End If
        Else
            Return ""
        End If
    End Function
    Public Shared Function Get_FooterLeft(ByVal modelListView As IModelListView) As String
        If modelListView.Application IsNot Nothing Then
            If modelListView.Application.Options IsNot Nothing Then
                Return TryCast(modelListView.Application.Options, IModelOptionsExtender).FooterLeft
            Else
                Return ""
            End If
        Else
            Return ""
        End If
    End Function
    Public Shared Function Get_FooterCenter(ByVal modelListView As IModelListView) As String
        If modelListView.Application IsNot Nothing Then
            If modelListView.Application.Options IsNot Nothing Then
                Return TryCast(modelListView.Application.Options, IModelOptionsExtender).FooterCenter
            Else
                Return ""
            End If
        Else
            Return ""
        End If
    End Function
    Public Shared Function Get_FooterRight(ByVal modelListView As IModelListView) As String
        If modelListView.Application IsNot Nothing Then
            If modelListView.Application.Options IsNot Nothing Then
                Return TryCast(modelListView.Application.Options, IModelOptionsExtender).FooterRight
            Else
                Return ""
            End If
        Else
            Return ""
        End If
    End Function

End Class

#End Region
